Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | Properties | List of all members
CSDroppedParticipant Class Reference

`#import <CSDroppedParticipant.h>`

Inherits CSParticipant, and <NSCopying>.

## Instance Methods
(void) | - reInviteWithCompletionHandler:
| ReInvite the participant to join the conference. More...
Instance Methods inherited from CSParticipant
(instancetype) | - initWithParticipantId:
(CSContact *) | - bestContactMatch
| Return best possible contact match. More...
(NSDictionary *) | - allPossibleContactMatches
| Return all possible contact matches with level of matching. More...
(void) | - sendPrivateChatMessage:completionHandler:
| Sends private message to this participant. More...

## Properties
id< CSDroppedParticipantDelegate > | delegate
| The delegate used to handle dropped participant related events. More...
NSDate * | enterDate
| Participant's entry time to the conference. More...
NSDate * | leaveDate
| Participant's leave time from the conference. More...
Properties inherited from CSParticipant
id< CSParticipantDelegate > | delegate
| The delegate used to handle participant events, common to all participant subclasses. More...
NSString * | displayName
| Participant's network provided display name, as known to the conferencing system. More...
NSString * | address
| Participant's network-provided address, as known to the conferencing system. More...
BOOL | localUser
| Whether the participant is the local user. More...
NSString * | participantId
| Unique identification of the participant. More...

## Method Documentation

- (void) reInviteWithCompletionHandler: |  | (void(^)(NSError *error)) | handler |

ReInvite the participant to join the conference.

Parameters

  handler | A block to be called when the operation is completed. `error` If the operation was successful this parameter is nil. If an error occurred it contains an object describing the error.

## Property Documentation

- (id<CSDroppedParticipantDelegate>) delegate
| read write nonatomic weak

The delegate used to handle dropped participant related events.

- (NSDate*) enterDate
| read nonatomic assign

Participant's entry time to the conference.

- (NSDate*) leaveDate
| read nonatomic assign

Participant's leave time from the conference.

The documentation for this class was generated from the following file:

- CSDroppedParticipant.h